Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class RecordStreamBuilderPrefilter

    java.lang.Object
      com.servingxml.components.task.AbstractTask
          com.servingxml.components.recordio.RecordStreamBuilderPrefilter

All Implemented Interfaces:
  RecordFilterAppender, RecordPipelineAppender, RecordReaderFactory, RecordStreamBuilder, Stringable, Task

    public class RecordStreamBuilderPrefilter

extends AbstractTask
implements RecordStreamBuilder

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY, EMPTY_ARRAY`

Constructor Summary
`RecordStreamBuilderPrefilter(RecordStreamBuilder recordStreamBuilder, ParameterDescriptor[] parameterDescriptors)`

Method Summary
`void` | `appendToRecordPipeline(ServiceContext context, Flow flow, RecordFilterChain pipeline)`
`RecordPipeline` | `createRecordPipeline(ServiceContext context, Flow flow)`
`java.lang.String` | `createString(ServiceContext context, Flow flow)`
`void` | `execute(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordStreamBuilderPrefilter

    public RecordStreamBuilderPrefilter(RecordStreamBuilder recordStreamBuilder,
                                        ParameterDescriptor[] parameterDescriptors)

Method Detail

### createRecordPipeline

    public RecordPipeline createRecordPipeline(ServiceContext context,
                                               Flow flow)

  Specified by:
    `createRecordPipeline` in interface `RecordPipelineAppender`

### appendToRecordPipeline

    public void appendToRecordPipeline(ServiceContext context,
                                       Flow flow,
                                       RecordFilterChain pipeline)

  Specified by:
    `appendToRecordPipeline` in interface `RecordPipelineAppender`

### execute

    public void execute(ServiceContext context,
                        Flow flow)

  Specified by:
    `execute` in interface `Task`

### createString

    public java.lang.String createString(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createString` in interface `Stringable`
  Overrides:
    `createString` in class `AbstractTask`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD